/*	Compiler: ECL 12.7.1                                          */
/*	Source: EXT:SOCKETS;SOCKETS.LISP                              */
#include <ecl/ecl-cmp.h>
#include "ext/sockets.eclh"
/*	function definition for FF-SOCKET                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1ff_socket(cl_object V1, cl_object V2, cl_object V3)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{
	int V4;
	ecl_disable_interrupts();V4=socket(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3));ecl_enable_interrupts();
	value0=ecl_make_int(V4); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for FF-LISTEN                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2ff_listen(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{
	int V3;
	ecl_disable_interrupts();V3=listen(ecl_to_int(V1),ecl_to_int(V2));ecl_enable_interrupts();
	value0=ecl_make_int(V3); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for FF-CLOSE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3ff_close(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{
	int V2;
	ecl_disable_interrupts();V2=close(ecl_to_int(V1));ecl_enable_interrupts();
	value0=ecl_make_int(V2); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for SPLIT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5split(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_NIL;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}
	if (i >= narg) {
	env0 = ECL_NIL;
	CLV0=env0=CONS(VV[7],env0);               /*  WS              */
	} else {
	i++;
	env0 = ECL_NIL;
	CLV0=env0=CONS(va_arg(args,cl_object),env0); /*  WS           */
	}}
	va_end(args);
	{ cl_object V3;
	V3= ECL_NIL;
	V3= ecl_make_cclosure_va((cl_objectfn)LC4is_ws,env0,Cblock);
	{cl_object V4;                            /*  START           */
	V4= ECL_NIL;
	{cl_object V5;                            /*  INDEX           */
	V5= ECL_NIL;
	{cl_fixnum V6;                            /*  WORD-COUNT      */
	V6= 0;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(ECL_NIL);
	V8= V7;
	V4= cl_position_if_not(2,V3,V1)           /*  POSITION-IF-NOT */;
L8:;
	if((V4)==ECL_NIL){
	goto L15;}
	if((V2)==ECL_NIL){
	goto L18;}
	T0= ecl_make_integer((V6)+1);
	if(!(ecl_number_equalp(T0,V2))){
	goto L18;}
	V5= ECL_NIL;
	goto L13;
L18:;
	V5= cl_position_if(4,V3,V1,ECL_SYM("START",1311),V4) /*  POSITION-IF */;
	goto L13;
L15:;
	V5= ECL_NIL;
	goto L13;
L13:;
	if((V4)!=ECL_NIL){
	goto L23;}
	goto L9;
L23:;
	goto L21;
L21:;
	if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
	T0= V8;
	T1= cl_subseq(3,V1,V4,V5)                 /*  SUBSEQ          */;
	V8= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V8,T0);
	{cl_object V9;
	V9= ecl_make_integer((V6)+1);
	{bool V10;
	V10= ECL_FIXNUMP(V9);
	if (ecl_unlikely(!(V10)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",372),V9);}
	V6= ecl_fixnum(V9);
	}
	if((V5)!=ECL_NIL){
	goto L35;}
	goto L9;
L35:;
	goto L33;
L33:;
	V4= cl_position_if_not(4,V3,V1,ECL_SYM("START",1311),V5) /*  POSITION-IF-NOT */;
	goto L8;
L9:;
	value0=ecl_cdr(V7); cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
	}
}}
/*	closure IS-WS                                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4is_ws(cl_narg narg, cl_object V1, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  WS              */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_object V2;
	V2= si_make_seq_iterator(2,ECL_CONS_CAR(CLV0),ecl_make_fixnum(0)) /*  MAKE-SEQ-ITERATOR */;
L3:;
	if((V2)!=ECL_NIL){
	goto L7;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L7:;
	goto L5;
L5:;
	{cl_object V3;
	V3= si_seq_iterator_ref(ECL_CONS_CAR(CLV0),V2) /*  SEQ-ITERATOR-REF */;
	if(!(ecl_eql(V1,V3))){
	goto L12;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L12:;
	goto L9;
	}
L9:;
	V2= si_seq_iterator_next(ECL_CONS_CAR(CLV0),V2) /*  SEQ-ITERATOR-NEXT */;
	goto L3;
	}
}}}
/*	local function G28                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g28(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[159])(1,V1) /*  HOST-ENT-ADDRESSES */;
	value0=ecl_car(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GET-HOST-BY-NAME                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7get_host_by_name(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  HOST-ENT        */
	V2= (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(1,VV[9]) /*  MAKE-INSTANCE */;
	{cl_object V3;
	V3= si_copy_to_simple_base_string(V1)     /*  COPY-TO-SIMPLE-BASE-STRING */;
	T0= ecl_fdefinition(VV[161]);
	T1= ecl_fdefinition(VV[162]);
	T2= ecl_fdefinition(VV[163]);
	T3= ecl_fdefinition(VV[164]);
	{
	cl_object V4;
	
{
	struct hostent *hostent = gethostbyname(ecl_base_string_pointer_safe(V3));

	if (hostent != NULL) {
 	        char **aliases;
                char **addrs;
                cl_object aliases_list = ECL_NIL;
                cl_object addr_list = ECL_NIL;
                int length = hostent->h_length;

		funcall(3,T0,make_simple_base_string(hostent->h_name),V2);
                funcall(3,T2,ecl_make_integer(hostent->h_addrtype),V2);

                for (aliases = hostent->h_aliases; *aliases != NULL; aliases++) {
                        aliases_list = CONS(make_simple_base_string(*aliases),aliases_list);
                }
                funcall(3,T1,aliases_list,V2);

                for (addrs = hostent->h_addr_list; *addrs != NULL; addrs++) {
                        int pos;
                        cl_object vector = funcall(2,ECL_SYM("MAKE-ARRAY",522),MAKE_FIXNUM(length));
                        for (pos = 0; pos < length; pos++)
                                ecl_aset(vector, pos, MAKE_FIXNUM((unsigned char)((*addrs)[pos])));
                        addr_list = CONS(vector, addr_list);


                }
                funcall(3,T3,addr_list,V2);

                V4= V2;
	} else {
		V4= ECL_NIL;
	}
}
	if((V4)==ECL_NIL){
	goto L3;}}
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=L45name_service_error(_ecl_static_2) /*  NAME-SERVICE-ERROR */;
	return value0;
	}
}}
/*	function definition for GET-HOST-BY-ADDRESS                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8get_host_by_address(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	goto L4;
L3:;
	si_assert_failure(1,VV[13])               /*  ASSERT-FAILURE  */;
L4:;
	if(!(ECL_VECTORP(V1))){
	goto L12;}
	{cl_fixnum V2;
	V2= ecl_length(V1);
	if((V2)==(4)){
	goto L9;}
	goto L10;}
L12:;
	goto L10;
L10:;
	goto L3;
L9:;
	goto L7;
L7:;
	goto L1;
L1:;
	{cl_object V2;                            /*  HOST-ENT        */
	V2= (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(1,VV[9]) /*  MAKE-INSTANCE */;
	T0= ecl_fdefinition(VV[161]);
	T1= ecl_fdefinition(VV[162]);
	T2= ecl_fdefinition(VV[163]);
	T3= ecl_fdefinition(VV[164]);
	{
	cl_object V3;
	
{
	unsigned char vector[4];
	struct hostent *hostent;
	vector[0] = fixint(ecl_aref(V1,0));
	vector[1] = fixint(ecl_aref(V1,1));
	vector[2] = fixint(ecl_aref(V1,2));
	vector[3] = fixint(ecl_aref(V1,3));
	ecl_disable_interrupts();
	hostent = gethostbyaddr(vector,4,AF_INET);
	ecl_enable_interrupts();

	if (hostent != NULL) {
 	        char **aliases;
                char **addrs;
                cl_object aliases_list = ECL_NIL;
                cl_object addr_list = ECL_NIL;
                int length = hostent->h_length;

		funcall(3,T0,make_simple_base_string(hostent->h_name),V2);
                funcall(3,T2,ecl_make_integer(hostent->h_addrtype),V2);

                for (aliases = hostent->h_aliases; *aliases != NULL; aliases++) {
                        aliases_list = CONS(make_simple_base_string(*aliases),aliases_list);
                }
                funcall(3,T1,aliases_list,V2);

                for (addrs = hostent->h_addr_list; *addrs != NULL; addrs++) {
                        int pos;
                        cl_object vector = funcall(2,ECL_SYM("MAKE-ARRAY",522),MAKE_FIXNUM(length));
                        for (pos = 0; pos < length; pos++)
                                ecl_aset(vector, pos, MAKE_FIXNUM((unsigned char)((*addrs)[pos])));
                        addr_list = CONS(vector, addr_list);


                }
                funcall(3,T3,addr_list,V2);

                V3= V2;
	} else {
		V3= ECL_NIL;
	}
}
	if((V3)==ECL_NIL){
	goto L16;}}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L16:;
	value0=L45name_service_error(_ecl_static_3) /*  NAME-SERVICE-ERROR */;
	return value0;
	}
}}
/*	local function G32                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9__g32()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(1,_ecl_static_4)          /*  ERROR           */;
	return value0;
}}
/*	local function G33                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11__g33(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = ECL_NIL;
	CLV0=env0=CONS(V1,env0);                  /*  OBJECT          */
	CLV1=env0=CONS(V2,env0);                  /*  STREAM          */
	{ cl_object V3;
	V3= ECL_NIL;
	V3= ecl_make_cclosure_va((cl_objectfn)LC10si___print_unreadable_object_body_,env0,Cblock);
	value0=si_print_unreadable_object_function(ECL_CONS_CAR(CLV0),ECL_CONS_CAR(CLV1),ECL_T,ECL_T,V3) /*  PRINT-UNREADABLE-OBJECT-FUNCTION */;
	return value0;
	}
}}
/*	closure .PRINT-UNREADABLE-OBJECT-BODY.                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10si___print_unreadable_object_body_(cl_narg narg, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  STREAM          */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	ecl_princ_str("descriptor ",ECL_CONS_CAR(CLV1));
	T0= cl_slot_value(ECL_CONS_CAR(CLV0),VV[16]) /*  SLOT-VALUE   */;
	value0=ecl_princ(T0,ECL_CONS_CAR(CLV1)); cl_env_copy->nvalues=1;
	return value0;
}}}
/*	local function G48                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12__g48(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	ecl_va_list args; ecl_va_start(args,V2,narg,2);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,LC12__g48keys,keyvars,NULL,TRUE);
	ecl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	}
	{cl_object V5;                            /*  PROTO-NUM       */
	cl_object V6;                             /*  FD              */
	if((V3)==ECL_NIL){
	goto L3;}
	if((cl_keywordp(V3)                       /*  KEYWORDP        */)==ECL_NIL){
	goto L3;}
	T0= ecl_symbol_name(V3);
	T1= cl_string_downcase(1,T0)              /*  STRING-DOWNCASE */;
	V5= L17get_protocol_by_name(T1)           /*  GET-PROTOCOL-BY-NAME */;
	goto L1;
L3:;
	if((V3)==ECL_NIL){
	goto L7;}
	V5= V3;
	goto L1;
L7:;
	V5= ecl_make_fixnum(0);
	goto L1;
L1:;
	if((cl_slot_boundp(V1,VV[16])             /*  SLOT-BOUNDP     */)==ECL_NIL){
	goto L14;}
	value0=ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	goto L12;
L14:;
	value0=ECL_NIL;
	goto L12;
L12:;
	if((value0)!=ECL_NIL){
	goto L11;}
	T0= ecl_function_dispatch(cl_env_copy,VV[169])(1,V1) /*  SOCKET-FAMILY */;
	{cl_object V7;
	value0=V4;
	if((value0)!=ECL_NIL){
	goto L19;}
	V7= ecl_function_dispatch(cl_env_copy,VV[170])(1,V1) /*  SOCKET-TYPE */;
	goto L17;
L19:;
	V7= value0;
	goto L17;
L17:;
	if(!(ecl_eql(V7,VV[17]))){
	goto L22;}
	T1= ecl_make_int(SOCK_DGRAM);
	goto L16;
L22:;
	if(!(ecl_eql(V7,ECL_SYM("STREAM",1314)))){
	goto L26;}
	T1= ecl_make_int(SOCK_STREAM);
	goto L16;
L26:;
	T1= si_ecase_error(V7,VV[20])             /*  ECASE-ERROR     */;
	goto L16;
	}
L16:;
	V6= L1ff_socket(T0,T1,V5)                 /*  FF-SOCKET       */;
	goto L9;
L11:;
	V6= value0;
	goto L9;
L9:;
	if(!(ecl_number_equalp(V6,ecl_make_fixnum(-1)))){
	goto L31;}
	L44socket_error(_ecl_static_7)            /*  SOCKET-ERROR    */;
	goto L29;
L31:;
	goto L29;
L29:;
	(cl_env_copy->function=ECL_CONS_CAR(VV[171]))->cfun.entry(3,V6,V1,VV[16]) /*  (SETF SLOT-VALUE) */;
	value0=(cl_env_copy->function=ECL_CONS_CAR(VV[171]))->cfun.entry(3,V5,V1,VV[21]) /*  (SETF SLOT-VALUE) */;
	return value0;
	}
}}
/*	local function G59                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g59(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  R               */
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	V3= L2ff_listen(T0,V2)                    /*  FF-LISTEN       */;
	if(!(ecl_number_equalp(V3,ecl_make_fixnum(-1)))){
	goto L3;}
	value0=L44socket_error(_ecl_static_21)    /*  SOCKET-ERROR    */;
	return value0;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function G60                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g60(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	value0=L3ff_close(T0)                     /*  FF-CLOSE        */;
	return value0;
}}
/*	local function G67                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g67(cl_object V1)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  FD              */
	V2= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	if((V2)==(ecl_make_fixnum(-1))){
	goto L3;}
	if((cl_slot_boundp(V1,ECL_SYM("STREAM",799)) /*  SLOT-BOUNDP  */)==ECL_NIL){
	goto L7;}
	{cl_object V3;                            /*  STREAM          */
	V3= cl_slot_value(V1,ECL_SYM("STREAM",799)) /*  SLOT-VALUE    */;
	T0= cl_two_way_stream_input_stream(V3)    /*  TWO-WAY-STREAM-INPUT-STREAM */;
	cl_close(1,T0)                            /*  CLOSE           */;
	T0= cl_two_way_stream_output_stream(V3)   /*  TWO-WAY-STREAM-OUTPUT-STREAM */;
	cl_close(1,T0)                            /*  CLOSE           */;
	}
	cl_slot_makunbound(V1,ECL_SYM("STREAM",799)) /*  SLOT-MAKUNBOUND */;
	goto L5;
L7:;
	T0= ecl_function_dispatch(cl_env_copy,VV[33])(1,V1) /*  SOCKET-CLOSE-LOW-LEVEL */;
	if(!(ecl_number_equalp(T0,ecl_make_fixnum(-1)))){
	goto L13;}
	L44socket_error(_ecl_static_22)           /*  SOCKET-ERROR    */;
	goto L5;
L13:;
	goto L5;
L5:;
	value0=(cl_env_copy->function=ECL_CONS_CAR(VV[171]))->cfun.entry(3,ecl_make_fixnum(-1),V1,VV[16]) /*  (SETF SLOT-VALUE) */;
	return value0;
L3:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function G71                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16__g71(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	ecl_va_list args; ecl_va_start(args,V3,narg,3);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,LC16__g71keys,keyvars,NULL,TRUE);
	ecl_va_end(args);
	V4= keyvars[0];
	V5= keyvars[1];
	V6= keyvars[2];
	V7= keyvars[3];
	}
	if((V2)!=ECL_NIL){
	goto L3;}
	if((V3)!=ECL_NIL){
	goto L3;}
	cl_error(1,_ecl_static_23)                /*  ERROR           */;
	goto L1;
L3:;
	goto L1;
L1:;
	{cl_object V8;                            /*  LET2537         */
	cl_object V9;                             /*  LET2538         */
	cl_object V10;                            /*  LET2539         */
	value0=V2;
	if((value0)!=ECL_NIL){
	goto L8;}
	V8= si_make_pure_array(V7,V3,ECL_NIL,ECL_NIL,ECL_NIL,ecl_make_fixnum(0)) /*  MAKE-PURE-ARRAY */;
	goto L6;
L8:;
	V8= value0;
	goto L6;
L6:;
	value0=V3;
	if((value0)!=ECL_NIL){
	goto L12;}
	V9= ecl_make_fixnum(ecl_length(V2));
	goto L10;
L12:;
	V9= value0;
	goto L10;
L10:;
	V10= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	long V11;
	int V12;
	
{
        int flags = ( (V4)!=ECL_NIL ? MSG_OOB : 0 )  |
                    ( (V5)!=ECL_NIL ? MSG_PEEK : 0 ) |
                    ( (V6)!=ECL_NIL ? MSG_WAITALL : 0 );
        cl_type type = type_of(V8);
	ssize_t len;

        ecl_disable_interrupts();
        len = recvfrom(ecl_to_int(V10), safe_buffer_pointer(V8, ecl_to_int(V9)),
                       ecl_to_int(V9), flags, NULL,NULL);
	ecl_enable_interrupts();
        if (len >= 0) {
               if (type == t_vector) { V8->vector.fillp = len; }
               else if (type == t_base_string) { V8->base_string.fillp = len; }
        }
        V11= len;
        V12= errno;
}

	cl_env_copy->values[0]= ecl_make_long(V11);
	cl_env_copy->values[1]= ecl_make_int(V12);cl_env_copy->nvalues=2;}
	{
	cl_object V12;                            /*  LEN-RECV        */
	cl_object V13;                            /*  ERRNO           */
	V12= cl_env_copy->values[0];
	V13= cl_env_copy->values[1];
	if(!(ecl_number_equalp(V12,ecl_make_fixnum(-1)))){
	goto L17;}
	T0= cl_list(2,ecl_symbol_value(VV[2]),ecl_symbol_value(VV[3])) /*  LIST */;
	if((ecl_memql(V13,T0))==ECL_NIL){
	goto L17;}
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
L17:;
	if(!(ecl_number_equalp(V12,ecl_make_fixnum(-1)))){
	goto L21;}
	value0=L44socket_error(_ecl_static_24)    /*  SOCKET-ERROR    */;
	return value0;
L21:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V12;
	cl_env_copy->values[0]=V8;
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for GET-PROTOCOL-BY-NAME                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17get_protocol_by_name(cl_object V1)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  STRING          */
	V2= cl_string(V1)                         /*  STRING          */;
	{cl_object V3;
	V3= si_copy_to_simple_base_string(V2)     /*  COPY-TO-SIMPLE-BASE-STRING */;
	value0=ecl_make_int(getprotobyname(ecl_base_string_pointer_safe(V3))->p_proto); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for MAKE-INET-ADDRESS                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18make_inet_address(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= (ECL_SYM("PARSE-INTEGER",628)->symbol.gfdef);
	T1= L5split(3,V1,ECL_NIL,VV[35])          /*  SPLIT           */;
	value0=cl_map(3,ECL_SYM("VECTOR",898),T0,T1) /*  MAP          */;
	return value0;
}}
/*	local function G73                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19__g73()
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(VV[0]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAKE-INET-SOCKET                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20make_inet_socket(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(5,VV[37],ECL_SYM("TYPE",1319),V1,VV[38],V2) /*  MAKE-INSTANCE */;
	return value0;
}}
/*	local function G76                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21__g76(cl_narg narg, cl_object V1, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	ecl_va_end(args);
	goto L4;
L3:;
	{cl_object V3;
	T0= ecl_list1(V2);
	V3= si_assert_failure(4,VV[40],VV[41],T0,_ecl_static_26) /*  ASSERT-FAILURE */;
	V2= V3;
	}
L4:;
	{cl_fixnum V3;
	V3= ecl_length(V2);
	if((2)==(V3)){
	goto L12;}}
	goto L3;
L12:;
	goto L10;
L10:;
	goto L1;
L1:;
	{cl_object V3;                            /*  LET2540         */
	cl_object V4;                             /*  LET2541         */
	V3= ecl_car(V2);
	V4= ecl_cadr(V2);
	{int V5;
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((0)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(0),(V3)->vector.dim);
	T0= ecl_aref_unsafe(V3,0);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((1)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(1),(V3)->vector.dim);
	T1= ecl_aref_unsafe(V3,1);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((2)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(2),(V3)->vector.dim);
	T2= ecl_aref_unsafe(V3,2);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((3)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(3),(V3)->vector.dim);
	T3= ecl_aref_unsafe(V3,3);
	T4= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	int V6;
	
{
	struct sockaddr_in sockaddr;
	int output;
	ecl_disable_interrupts();
	fill_inet_sockaddr(&sockaddr, ecl_to_int(V4), ecl_to_int(T0), ecl_to_int(T1), ecl_to_int(T2), ecl_to_int(T3));
	output = bind(ecl_to_int(T4),(struct sockaddr*)&sockaddr, sizeof(struct sockaddr_in));
	ecl_enable_interrupts();
	V6= output;
}
	V5= V6;}
	if(!(ecl_number_equalp(ecl_make_fixnum(-1),ecl_make_int(V5)))){
	goto L17;}}
	value0=L44socket_error(_ecl_static_27)    /*  SOCKET-ERROR    */;
	return value0;
L17:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function G80                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22__g80(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  SFD             */
	V2= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	int V3;
	cl_object V4;
	int V5;
	{
        struct sockaddr_in sockaddr;
        socklen_t addr_len = (socklen_t)sizeof(struct sockaddr_in);
        int new_fd;

	ecl_disable_interrupts();
	new_fd = accept(ecl_to_int(V2), (struct sockaddr*)&sockaddr, &addr_len);
	ecl_enable_interrupts();

	V3= new_fd;
	V4= ECL_NIL;
	V5= 0;
        if (new_fd != -1) {
                uint32_t ip = ntohl(sockaddr.sin_addr.s_addr);
                uint16_t port = ntohs(sockaddr.sin_port);
                cl_object vector = cl_make_array(1,MAKE_FIXNUM(4));

                ecl_aset(vector,0, MAKE_FIXNUM( ip>>24 ));
		ecl_aset(vector,1, MAKE_FIXNUM( (ip>>16) & 0xFF));
		ecl_aset(vector,2, MAKE_FIXNUM( (ip>>8) & 0xFF));
                ecl_aset(vector,3, MAKE_FIXNUM( ip & 0xFF ));

		V4= vector;
		V5= port;
	}
}
	cl_env_copy->values[0]= ecl_make_int(V3);
	cl_env_copy->values[1]= V4;
	cl_env_copy->values[2]= ecl_make_int(V5);cl_env_copy->nvalues=3;}
	{
	cl_object V4;                             /*  FD              */
	cl_object V5;                             /*  VECTOR          */
	cl_object V6;                             /*  PORT            */
	V4= cl_env_copy->values[0];
	V5= cl_env_copy->values[1];
	V6= cl_env_copy->values[2];
	if(!(ecl_number_equalp(V4,ecl_make_fixnum(-1)))){
	goto L4;}
	value0=L44socket_error(_ecl_static_28)    /*  SOCKET-ERROR    */;
	return value0;
L4:;
	T0= cl_class_of(V1)                       /*  CLASS-OF        */;
	T1= ecl_function_dispatch(cl_env_copy,VV[170])(1,V1) /*  SOCKET-TYPE */;
	T2= ecl_function_dispatch(cl_env_copy,VV[179])(1,V1) /*  SOCKET-PROTOCOL */;
	T3= (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(7,T0,ECL_SYM("TYPE",1319),T1,VV[38],T2,VV[42],V4) /*  MAKE-INSTANCE */;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V6;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T3;
	return cl_env_copy->values[0];}
	}
}}
/*	local function G81                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23__g81(cl_narg narg, cl_object V1, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	ecl_va_end(args);
	{cl_object V3;                            /*  LET2542         */
	cl_object V4;                             /*  LET2543         */
	V3= ecl_car(V2);
	V4= ecl_cadr(V2);
	{int V5;
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((0)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(0),(V3)->vector.dim);
	T0= ecl_aref_unsafe(V3,0);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((1)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(1),(V3)->vector.dim);
	T1= ecl_aref_unsafe(V3,1);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((2)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(2),(V3)->vector.dim);
	T2= ecl_aref_unsafe(V3,2);
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((3)>=(V3)->vector.dim))
           FEwrong_index(ECL_NIL,V3,-1,ecl_make_fixnum(3),(V3)->vector.dim);
	T3= ecl_aref_unsafe(V3,3);
	T4= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	int V6;
	
{
	struct sockaddr_in sockaddr;
	int output;

	ecl_disable_interrupts();
	fill_inet_sockaddr(&sockaddr, ecl_to_int(V4), ecl_to_int(T0), ecl_to_int(T1), ecl_to_int(T2), ecl_to_int(T3));
	output = connect(ecl_to_int(T4),(struct sockaddr*)&sockaddr, sizeof(struct sockaddr_in));
	ecl_enable_interrupts();

	V6= output;
}
	V5= V6;}
	if(!(ecl_number_equalp(ecl_make_fixnum(-1),ecl_make_int(V5)))){
	goto L4;}}
	value0=L44socket_error(_ecl_static_29)    /*  SOCKET-ERROR    */;
	return value0;
L4:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function G82                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24__g82(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  VECTOR          */
	cl_object V3;                             /*  FD              */
	int V4;                                   /*  PORT            */
	V2= si_make_vector(ECL_T,ecl_make_fixnum(4),ECL_NIL,ECL_NIL,ECL_NIL,ecl_make_fixnum(0)) /*  MAKE-VECTOR */;
	V3= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	int V5;
	{
        struct sockaddr_in name;
        socklen_t len = sizeof(struct sockaddr_in);
        int ret;

	ecl_disable_interrupts();
	ret = getpeername(ecl_to_int(V3),(struct sockaddr*)&name,&len);
	ecl_enable_interrupts();

        if (ret == 0) {
                uint32_t ip = ntohl(name.sin_addr.s_addr);
                uint16_t port = ntohs(name.sin_port);

                ecl_aset(V2,0, MAKE_FIXNUM( ip>>24 ));
		ecl_aset(V2,1, MAKE_FIXNUM( (ip>>16) & 0xFF));
		ecl_aset(V2,2, MAKE_FIXNUM( (ip>>8) & 0xFF));
                ecl_aset(V2,3, MAKE_FIXNUM( ip & 0xFF ));

                V5= port;
         } else {
                V5= -1;
         }
}
	V4= V5;}
	if(!(ecl_number_compare(ecl_make_int(V4),ecl_make_fixnum(0))>=0)){
	goto L5;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ecl_make_int(V4);
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
L5:;
	value0=L44socket_error(_ecl_static_30)    /*  SOCKET-ERROR    */;
	return value0;
	}
}}
/*	local function G83                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25__g83(cl_object V1)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  VECTOR          */
	cl_object V3;                             /*  FD              */
	int V4;                                   /*  PORT            */
	V2= si_make_vector(ECL_T,ecl_make_fixnum(4),ECL_NIL,ECL_NIL,ECL_NIL,ecl_make_fixnum(0)) /*  MAKE-VECTOR */;
	V3= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	int V5;
	{
        struct sockaddr_in name;
        socklen_t len = sizeof(struct sockaddr_in);
        int ret;

	ecl_disable_interrupts();
	ret = getsockname(ecl_to_int(V3),(struct sockaddr*)&name,&len);
	ecl_enable_interrupts();

        if (ret == 0) {
                uint32_t ip = ntohl(name.sin_addr.s_addr);
                uint16_t port = ntohs(name.sin_port);

                ecl_aset(V2,0, MAKE_FIXNUM( ip>>24 ));
		ecl_aset(V2,1, MAKE_FIXNUM( (ip>>16) & 0xFF));
		ecl_aset(V2,2, MAKE_FIXNUM( (ip>>8) & 0xFF));
                ecl_aset(V2,3, MAKE_FIXNUM( ip & 0xFF ));

                V5= port;
         } else {
                V5= -1;
         }
}
	V4= V5;}
	if(!(ecl_number_compare(ecl_make_int(V4),ecl_make_fixnum(0))>=0)){
	goto L5;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=ecl_make_int(V4);
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
L5:;
	value0=L44socket_error(_ecl_static_31)    /*  SOCKET-ERROR    */;
	return value0;
	}
}}
/*	local function G84                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26__g84(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_object V11;
	cl_object V12;
	ecl_va_list args; ecl_va_start(args,V3,narg,3);
	{ cl_object keyvars[18];
	cl_parse_key(args,9,LC26__g84keys,keyvars,NULL,TRUE);
	ecl_va_end(args);
	V4= keyvars[0];
	V5= keyvars[1];
	V6= keyvars[2];
	V7= keyvars[3];
	V8= keyvars[4];
	V9= keyvars[5];
	V10= keyvars[6];
	V11= keyvars[7];
	V12= keyvars[8];
	}
	goto L4;
L3:;
	si_assert_failure(1,VV[43])               /*  ASSERT-FAILURE  */;
L4:;
	if(ECL_STRINGP(V2)){
	goto L9;}
	if(ECL_VECTORP(V2)){
	goto L9;}
	goto L3;
L9:;
	goto L7;
L7:;
	goto L1;
L1:;
	{cl_object V13;                           /*  LET2544         */
	cl_object V14;                            /*  LET2545         */
	value0=V3;
	if((value0)!=ECL_NIL){
	goto L14;}
	V13= ecl_make_fixnum(ecl_length(V2));
	goto L12;
L14:;
	V13= value0;
	goto L12;
L12:;
	V14= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V15;                                 /*  LEN-SENT        */
	if((V4)==ECL_NIL){
	goto L19;}
	goto L24;
L23:;
	si_assert_failure(1,VV[40])               /*  ASSERT-FAILURE  */;
L24:;
	{cl_fixnum V16;
	V16= ecl_length(V4);
	if((2)==(V16)){
	goto L29;}}
	goto L23;
L29:;
	goto L27;
L27:;
	goto L21;
L21:;
	T0= ecl_cadr(V4);
	{cl_object V16;
	V16= ecl_car(V4);
	if (ecl_unlikely(!ECL_VECTORP(V16)))
           FEtype_error_vector(V16);
	if (ecl_unlikely((0)>=(V16)->vector.dim))
           FEwrong_index(ECL_NIL,V16,-1,ecl_make_fixnum(0),(V16)->vector.dim);
	T1= ecl_aref_unsafe(V16,0);
	}
	{cl_object V16;
	V16= ecl_car(V4);
	if (ecl_unlikely(!ECL_VECTORP(V16)))
           FEtype_error_vector(V16);
	if (ecl_unlikely((1)>=(V16)->vector.dim))
           FEwrong_index(ECL_NIL,V16,-1,ecl_make_fixnum(1),(V16)->vector.dim);
	T2= ecl_aref_unsafe(V16,1);
	}
	{cl_object V16;
	V16= ecl_car(V4);
	if (ecl_unlikely(!ECL_VECTORP(V16)))
           FEtype_error_vector(V16);
	if (ecl_unlikely((2)>=(V16)->vector.dim))
           FEwrong_index(ECL_NIL,V16,-1,ecl_make_fixnum(2),(V16)->vector.dim);
	T3= ecl_aref_unsafe(V16,2);
	}
	{cl_object V16;
	V16= ecl_car(V4);
	if (ecl_unlikely(!ECL_VECTORP(V16)))
           FEtype_error_vector(V16);
	if (ecl_unlikely((3)>=(V16)->vector.dim))
           FEwrong_index(ECL_NIL,V16,-1,ecl_make_fixnum(3),(V16)->vector.dim);
	T4= ecl_aref_unsafe(V16,3);
	}
	{
	long V16;
	
{
	int sock = ecl_to_int(V14);
	int length = ecl_to_int(V13);
	void *buffer = safe_buffer_pointer(V2, length);
        int flags = ( (V6)!=ECL_NIL ? MSG_OOB : 0 )  |
                    ( (V7)!=ECL_NIL ? MSG_EOR : 0 ) |
                    ( (V8)!=ECL_NIL ? MSG_DONTROUTE : 0 ) |
                    ( (V9)!=ECL_NIL ? MSG_DONTWAIT : 0 ) |
                    ( (V10)!=ECL_NIL ? MSG_NOSIGNAL : 0 ) |
                    ( (V11)!=ECL_NIL ? MSG_CONFIRM : 0 );
        cl_type type = type_of(V2);
        struct sockaddr_in sockaddr;
	ssize_t len;

	ecl_disable_interrupts();
	fill_inet_sockaddr(&sockaddr, ecl_to_int(T0), ecl_to_int(T1), ecl_to_int(T2), ecl_to_int(T3), ecl_to_int(T4));
#if (MSG_NOSIGNAL == 0) && defined(SO_NOSIGPIPE)
	{
		int sockopt = (V10)!=ECL_NIL;
		setsockopt(ecl_to_int(V14),SOL_SOCKET,SO_NOSIGPIPE,&sockopt,sizeof(int));
	}
#endif
        len = sendto(sock, buffer,
                     length, flags,(struct sockaddr*)&sockaddr, 
                     sizeof(struct sockaddr_in));
	ecl_enable_interrupts();
        V16= len;
}

	V15= (int)(V16);
	goto L17;}
L19:;
	{
	long V17;
	
{
	int sock = ecl_to_int(V14);
	int length = ecl_to_int(V13);
	void *buffer = safe_buffer_pointer(V2, length);
        int flags = ( (V6)!=ECL_NIL ? MSG_OOB : 0 )  |
                    ( (V7)!=ECL_NIL ? MSG_EOR : 0 ) |
                    ( (V8)!=ECL_NIL ? MSG_DONTROUTE : 0 ) |
                    ( (V9)!=ECL_NIL ? MSG_DONTWAIT : 0 ) |
                    ( (V10)!=ECL_NIL ? MSG_NOSIGNAL : 0 ) |
                    ( (V11)!=ECL_NIL ? MSG_CONFIRM : 0 );
        cl_type type = type_of(V2);
        ssize_t len;
	ecl_disable_interrupts();
#if (MSG_NOSIGNAL == 0) && defined(SO_NOSIGPIPE)
	{
		int sockopt = (V10)!=ECL_NIL;
		setsockopt(ecl_to_int(V14),SOL_SOCKET,SO_NOSIGPIPE,&sockopt,sizeof(int));
	}
#endif
	len = send(sock, buffer, length, flags);
	ecl_enable_interrupts();
        V17= len;
}

	V15= (int)(V17);
	goto L17;}
L17:;
	if(!(ecl_number_equalp(ecl_make_int(V15),ecl_make_fixnum(-1)))){
	goto L48;}
	value0=L44socket_error(_ecl_static_32)    /*  SOCKET-ERROR    */;
	return value0;
L48:;
	value0=ecl_make_int(V15); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	local function G89                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27__g89()
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_symbol_value(VV[1]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G92                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28__g92(cl_narg narg, cl_object V1, ...)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	ecl_va_end(args);
	goto L4;
L3:;
	{cl_object V3;
	T0= ecl_list1(V2);
	V3= si_assert_failure(4,VV[45],VV[41],T0,_ecl_static_34) /*  ASSERT-FAILURE */;
	V2= V3;
	}
L4:;
	{cl_fixnum V3;
	V3= ecl_length(V2);
	if((1)==(V3)){
	goto L12;}}
	goto L3;
L12:;
	goto L10;
L10:;
	goto L1;
L1:;
	{cl_object V3;                            /*  LET2546         */
	cl_object V4;                             /*  LET2547         */
	cl_object V5;                             /*  LET2548         */
	V3= ecl_car(V2);
	V4= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	V5= ecl_function_dispatch(cl_env_copy,VV[169])(1,V1) /*  SOCKET-FAMILY */;
	{int V6;
	{cl_object V7;
	V7= si_copy_to_simple_base_string(V3)     /*  COPY-TO-SIMPLE-BASE-STRING */;
	{
	int V8;
	
{
        struct sockaddr_un sockaddr;
	size_t size;
	int output;
#ifdef BSD
        sockaddr.sun_len = sizeof(struct sockaddr_un);
#endif
        sockaddr.sun_family = ecl_to_int(V5);
        strncpy(sockaddr.sun_path,ecl_base_string_pointer_safe(V7),sizeof(sockaddr.sun_path));
	sockaddr.sun_path[sizeof(sockaddr.sun_path)-1] = '0';

	ecl_disable_interrupts();
	output = bind(ecl_to_int(V4),(struct sockaddr*)&sockaddr, sizeof(struct sockaddr_un));
	ecl_enable_interrupts();

        V8= output;
}
	V6= V8;}
	}
	if(!(ecl_number_equalp(ecl_make_fixnum(-1),ecl_make_int(V6)))){
	goto L18;}}
	value0=L44socket_error(_ecl_static_27)    /*  SOCKET-ERROR    */;
	return value0;
L18:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function G97                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29__g97(cl_object V1)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	int V2;
	cl_object V3;
	{
        struct sockaddr_un sockaddr;
        socklen_t addr_len = (socklen_t)sizeof(struct sockaddr_un);
        int new_fd;
	ecl_disable_interrupts();
	new_fd = accept(ecl_to_int(T0), (struct sockaddr *)&sockaddr, &addr_len);
	ecl_enable_interrupts();
	V2= new_fd;
	V3= (new_fd == -1) ? ECL_NIL : make_base_string_copy(sockaddr.sun_path);
}
	cl_env_copy->values[0]= ecl_make_int(V2);
	cl_env_copy->values[1]= V3;cl_env_copy->nvalues=2;}
	{
	cl_object V3;                             /*  FD              */
	cl_object V4;                             /*  NAME            */
	V3= cl_env_copy->values[0];
	V4= cl_env_copy->values[1];
	if(!(ecl_number_equalp(V3,ecl_make_fixnum(-1)))){
	goto L3;}
	value0=L44socket_error(_ecl_static_28)    /*  SOCKET-ERROR    */;
	return value0;
L3:;
	T0= cl_class_of(V1)                       /*  CLASS-OF        */;
	T1= ecl_function_dispatch(cl_env_copy,VV[170])(1,V1) /*  SOCKET-TYPE */;
	T2= ecl_function_dispatch(cl_env_copy,VV[179])(1,V1) /*  SOCKET-PROTOCOL */;
	T3= (cl_env_copy->function=(ECL_SYM("MAKE-INSTANCE",949)->symbol.gfdef))->cfun.entry(7,T0,ECL_SYM("TYPE",1319),T1,VV[38],T2,VV[42],V3) /*  MAKE-INSTANCE */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V4;
	cl_env_copy->values[0]=T3;
	return cl_env_copy->values[0];}
}}
/*	local function G100                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g100(cl_narg narg, cl_object V1, ...)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	ecl_va_end(args);
	goto L4;
L3:;
	{cl_object V3;
	T0= ecl_list1(V2);
	V3= si_assert_failure(4,VV[45],VV[41],T0,_ecl_static_35) /*  ASSERT-FAILURE */;
	V2= V3;
	}
L4:;
	{cl_fixnum V3;
	V3= ecl_length(V2);
	if((1)==(V3)){
	goto L12;}}
	goto L3;
L12:;
	goto L10;
L10:;
	goto L1;
L1:;
	{cl_object V3;                            /*  LET2549         */
	cl_object V4;                             /*  LET2550         */
	cl_object V5;                             /*  LET2551         */
	V3= ecl_car(V2);
	V4= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	V5= ecl_function_dispatch(cl_env_copy,VV[169])(1,V1) /*  SOCKET-FAMILY */;
	{int V6;
	{cl_object V7;
	V7= si_copy_to_simple_base_string(V3)     /*  COPY-TO-SIMPLE-BASE-STRING */;
	{
	int V8;
	
{
        struct sockaddr_un sockaddr;
	int output;
#ifdef BSD
        sockaddr.sun_len = sizeof(struct sockaddr_un);
#endif
        sockaddr.sun_family = ecl_to_int(V5);
        strncpy(sockaddr.sun_path,ecl_base_string_pointer_safe(V7),sizeof(sockaddr.sun_path));
	sockaddr.sun_path[sizeof(sockaddr.sun_path)-1] = '0';

	ecl_disable_interrupts();
	output = connect(ecl_to_int(V4),(struct sockaddr*)&sockaddr, sizeof(struct sockaddr_un));
	ecl_enable_interrupts();

        V8= output;
}
	V6= V8;}
	}
	if(!(ecl_number_equalp(ecl_make_fixnum(-1),ecl_make_int(V6)))){
	goto L18;}}
	value0=L44socket_error(_ecl_static_29)    /*  SOCKET-ERROR    */;
	return value0;
L18:;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function G105                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g105(cl_object V1)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  FD              */
	cl_object V3;                             /*  PEER            */
	V2= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{
	cl_object V4;
	
{
        struct sockaddr_un name;
        socklen_t len = sizeof(struct sockaddr_un);
        int ret;

	ecl_disable_interrupts();
	ret = getpeername(ecl_to_int(V2),(struct sockaddr*)&name,&len);
	ecl_enable_interrupts();

        if (ret == 0) {
                V4= make_base_string_copy(name.sun_path);
        } else {
                V4= ECL_NIL;
        }
}
	V3= V4;}
	if((V3)==ECL_NIL){
	goto L4;}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L4:;
	value0=L44socket_error(_ecl_static_30)    /*  SOCKET-ERROR    */;
	return value0;
	}
}}
/*	local function G106                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32__g106(cl_object V1)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  FD              */
	V2= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= fcntl(ecl_to_int(V2),F_GETFL,NULL)&O_NONBLOCK;
	{bool V4;
	V4= ecl_zerop(ecl_make_int(V3));
	value0=(V4)?ECL_NIL:ECL_T; cl_env_copy->nvalues=1;
	return value0;}}
	}
}}
/*	local function G107                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33__g107(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  LET2552         */
	cl_fixnum V4;                             /*  LET2553         */
	V3= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	if((V1)==ECL_NIL){
	goto L4;}
	V4= 1;
	goto L2;
L4:;
	V4= 0;
	goto L2;
L2:;
	{int V5;
	{
	int V6;
	
{
        int oldflags = fcntl(ecl_to_int(V3),F_GETFL,NULL);
        int newflags = (oldflags & ~O_NONBLOCK) |
                       ((int)(V4) ? O_NONBLOCK : 0);
	ecl_disable_interrupts();
        V6= fcntl(ecl_to_int(V3),F_SETFL,newflags);
	ecl_enable_interrupts();
}
	V5= V6;}
	if(!(ecl_number_equalp(ecl_make_fixnum(-1),ecl_make_int(V5)))){
	goto L7;}}
	value0=L44socket_error(_ecl_static_36)    /*  SOCKET-ERROR    */;
	return value0;
L7:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DUP                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34dup(cl_object V1)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int(dup(ecl_to_int(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAKE-STREAM-FROM-FD                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35make_stream_from_fd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	ecl_va_list args; ecl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,L35make_stream_from_fdkeys,keyvars,NULL,FALSE);
	ecl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	if(keyvars[6]==ECL_NIL){
	V5= ECL_SYM("DEFAULT",1216);
	}else{
	V5= keyvars[2];}
	if(keyvars[7]==ECL_NIL){
	V6= _ecl_static_37;
	}else{
	V6= keyvars[3];}
	}
	goto L6;
L5:;
	{cl_object V7;
	T0= ecl_list1(V6);
	V7= si_assert_failure(4,VV[47],VV[48],T0,_ecl_static_38) /*  ASSERT-FAILURE */;
	V6= V7;
	}
L6:;
	if(ECL_STRINGP(V6)){
	goto L14;}
	goto L5;
L14:;
	goto L12;
L12:;
	goto L3;
L3:;
	{cl_object V7;                            /*  SMM-MODE        */
	cl_object V8;                             /*  EXTERNAL-FORMAT */
	cl_object V9;                             /*  STREAM          */
	if(!(ecl_eql(V2,ECL_SYM("INPUT",1255)))){
	goto L18;}
	V7= ecl_make_int(ecl_smm_input);
	goto L16;
L18:;
	if(!(ecl_eql(V2,ECL_SYM("OUTPUT",1283)))){
	goto L21;}
	V7= ecl_make_int(ecl_smm_output);
	goto L16;
L21:;
	if(!(ecl_eql(V2,VV[49]))){
	goto L24;}
	V7= ecl_make_int(ecl_smm_io);
	goto L16;
L24:;
	V7= si_ecase_error(V2,VV[50])             /*  ECASE-ERROR     */;
	goto L16;
L16:;
	if((cl_subtypep(2,V4,ECL_SYM("INTEGER",437)) /*  SUBTYPEP     */)!=ECL_NIL){
	goto L28;}
	V8= V5;
	goto L26;
L28:;
	V8= ECL_NIL;
	goto L26;
L26:;
	V9= 
ecl_make_stream_from_fd(V6,ecl_to_int(V1),(enum ecl_smmode)ecl_to_int(V7),
			ecl_normalize_stream_element_type(V4),
                        0,V8);
	if((V3)==ECL_NIL){
	goto L33;}
	si_set_buffering_mode(V9,V3)              /*  SET-BUFFERING-MODE */;
	goto L31;
L33:;
	goto L31;
L31:;
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for AUTO-CLOSE-TWO-WAY-STREAM             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36auto_close_two_way_stream(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(V1)->stream.flags |= ECL_STREAM_CLOSE_COMPONENTS;
	value0=ECL_NIL; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SOCKET-MAKE-STREAM-INNER              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37socket_make_stream_inner(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V2)==ECL_NIL){
	goto L2;}
	if((V3)==ECL_NIL){
	goto L2;}
	{cl_object V7;                            /*  IN              */
	cl_object V8;                             /*  OUT             */
	cl_object V9;                             /*  STREAM          */
	T0= L34dup(V1)                            /*  DUP             */;
	V7= L37socket_make_stream_inner(T0,ECL_T,ECL_NIL,V4,V5,V6) /*  SOCKET-MAKE-STREAM-INNER */;
	V8= L37socket_make_stream_inner(V1,ECL_NIL,ECL_T,V4,V5,V6) /*  SOCKET-MAKE-STREAM-INNER */;
	V9= cl_make_two_way_stream(V7,V8)         /*  MAKE-TWO-WAY-STREAM */;
	L36auto_close_two_way_stream(V9)          /*  AUTO-CLOSE-TWO-WAY-STREAM */;
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	if((V2)==ECL_NIL){
	goto L10;}
	value0=L35make_stream_from_fd(8,V1,ECL_SYM("INPUT",1255),VV[52],V4,ECL_SYM("ELEMENT-TYPE",1225),V5,ECL_SYM("EXTERNAL-FORMAT",1237),V6) /*  MAKE-STREAM-FROM-FD */;
	return value0;
L10:;
	if((V3)==ECL_NIL){
	goto L13;}
	value0=L35make_stream_from_fd(8,V1,ECL_SYM("OUTPUT",1283),VV[52],V4,ECL_SYM("ELEMENT-TYPE",1225),V5,ECL_SYM("EXTERNAL-FORMAT",1237),V6) /*  MAKE-STREAM-FROM-FD */;
	return value0;
L13:;
	value0=cl_error(1,_ecl_static_39)         /*  ERROR           */;
	return value0;
}}
/*	local function G125                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38__g125(cl_narg narg, cl_object V1, ...)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	ecl_va_list args; ecl_va_start(args,V1,narg,1);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,LC38__g125keys,keyvars,NULL,TRUE);
	ecl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[5];
	V4= keyvars[1];
	V5= keyvars[6];
	if(keyvars[7]==ECL_NIL){
	V6= ECL_SYM("FULL",1596);
	}else{
	V6= keyvars[2];}
	if(keyvars[8]==ECL_NIL){
	V7= ECL_SYM("BASE-CHAR",120);
	}else{
	V7= keyvars[3];}
	if(keyvars[9]==ECL_NIL){
	V8= ECL_SYM("DEFAULT",1216);
	}else{
	V8= keyvars[4];}
	}
	{cl_object V9;                            /*  STREAM          */
	if((cl_slot_boundp(V1,ECL_SYM("STREAM",799)) /*  SLOT-BOUNDP  */)==ECL_NIL){
	goto L6;}
	V9= cl_slot_value(V1,ECL_SYM("STREAM",799)) /*  SLOT-VALUE    */;
	goto L4;
L6:;
	V9= ECL_NIL;
	goto L4;
L4:;
	if((V9)!=ECL_NIL){
	goto L10;}
	if((V3)!=ECL_NIL){
	goto L14;}
	if((V5)!=ECL_NIL){
	goto L14;}
	V2= ECL_T;
	V4= ECL_T;
	goto L12;
L14:;
	goto L12;
L12:;
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	V9= L37socket_make_stream_inner(T0,V2,V4,V6,V7,V8) /*  SOCKET-MAKE-STREAM-INNER */;
	(cl_env_copy->function=ECL_CONS_CAR(VV[171]))->cfun.entry(3,V9,V1,ECL_SYM("STREAM",799)) /*  (SETF SLOT-VALUE) */;
	goto L8;
L10:;
	goto L8;
L8:;
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function G132                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39__g132(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	return value0;
}}
/*	local function G133                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41__g133()
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_cfun((cl_objectfn_fixed)LC40__g134,ECL_NIL,Cblock,2); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G134                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40__g134(cl_object V1, cl_object V2)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUM             */
	V3= ecl_function_dispatch(cl_env_copy,VV[201])(1,V1) /*  SOCKET-ERROR-ERRNO */;
	T0= ecl_function_dispatch(cl_env_copy,VV[202])(1,V1) /*  SOCKET-ERROR-SYSCALL */;
	value0=ecl_function_dispatch(cl_env_copy,VV[58])(1,V1) /*  SOCKET-ERROR-SYMBOL */;
	if((value0)!=ECL_NIL){
	goto L4;}
	T1= ecl_function_dispatch(cl_env_copy,VV[201])(1,V1) /*  SOCKET-ERROR-ERRNO */;
	goto L2;
L4:;
	T1= value0;
	goto L2;
L2:;
	T2= ecl_cstring_to_base_string_or_nil(strerror(ecl_to_int(V3)));
	value0=cl_format(5,V2,_ecl_static_40,T0,T1,T2) /*  FORMAT     */;
	return value0;
	}
}}
/*	local function DEFINE-SOCKET-CONDITION                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42define_socket_condition(cl_object V1, cl_object V2)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  SYMBOL          */
	cl_object V5;                             /*  NAME            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	if((V3)==ECL_NIL){
	goto L20;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L18;
L20:;
	goto L18;
L18:;
	T0= ecl_symbol_name(V4);
	T1= cl_list(2,VV[56],T0)                  /*  LIST            */;
	T2= cl_list(3,ECL_SYM("DEFCONSTANT",277),V4,T1) /*  LIST      */;
	T3= cl_list(2,ECL_SYM("QUOTE",679),V4)    /*  LIST            */;
	T4= cl_list(5,ECL_SYM("SYMBOL",840),ECL_SYM("READER",1006),VV[58],ECL_SYM("INITFORM",996),T3) /*  LIST */;
	T5= ecl_list1(T4);
	T6= cl_list(4,ECL_SYM("DEFINE-CONDITION",278),V5,VV[57],T5) /*  LIST */;
	T7= cl_list(2,ECL_SYM("QUOTE",679),V5)    /*  LIST            */;
	T8= cl_list(2,ECL_SYM("EXPORT",344),T7)   /*  LIST            */;
	T9= cl_list(2,ECL_SYM("QUOTE",679),V5)    /*  LIST            */;
	T10= cl_list(3,ECL_SYM("CONS",251),V4,T9) /*  LIST            */;
	T11= cl_list(3,ECL_SYM("PUSH",677),T10,VV[59]) /*  LIST       */;
	value0=cl_list(6,ECL_SYM("LET",477),ECL_NIL,T2,T6,T8,T11) /*  LIST */;
	return value0;
	}
}}
/*	function definition for CONDITION-FOR-ERRNO                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L43condition_for_errno(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_assql(V1,ecl_symbol_value(VV[59]));
	value0=ecl_cdr(T0);
	if((value0)!=ECL_NIL){
	goto L2;}
	value0=VV[55]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SOCKET-ERROR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L44socket_error(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{int V2;                                  /*  ERRNO           */
	cl_object V3;                             /*  CONDITION       */
	V2= errno;
	V3= L43condition_for_errno(ecl_make_int(V2)) /*  CONDITION-FOR-ERRNO */;
	value0=cl_error(5,V3,VV[89],ecl_make_int(V2),VV[90],V1) /*  ERROR */;
	return value0;
	}
}}
/*	function definition for NAME-SERVICE-ERROR                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L45name_service_error(cl_object V1)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	L50get_name_service_errno()               /*  GET-NAME-SERVICE-ERRNO */;
	{int V2;
	V2= NETDB_INTERNAL;
	if(!(ecl_number_equalp(ecl_symbol_value(VV[92]),ecl_make_int(V2)))){
	goto L3;}}
	value0=L44socket_error(V1)                /*  SOCKET-ERROR    */;
	return value0;
L3:;
	{cl_object V2;                            /*  CONDITION       */
	V2= L49condition_for_name_service_errno(ecl_symbol_value(VV[92])) /*  CONDITION-FOR-NAME-SERVICE-ERRNO */;
	value0=cl_error(5,V2,VV[89],ecl_symbol_value(VV[92]),VV[90],V1) /*  ERROR */;
	return value0;
	}
}}
/*	local function G157                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47__g157()
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_cfun((cl_objectfn_fixed)LC46__g158,ECL_NIL,Cblock,2); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G158                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46__g158(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NUM             */
	V3= ecl_function_dispatch(cl_env_copy,VV[207])(1,V1) /*  NAME-SERVICE-ERROR-ERRNO */;
	T0= ecl_function_dispatch(cl_env_copy,VV[208])(1,V1) /*  NAME-SERVICE-ERROR-SYSCALL */;
	value0=ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  NAME-SERVICE-ERROR-SYMBOL */;
	if((value0)!=ECL_NIL){
	goto L4;}
	T1= ecl_function_dispatch(cl_env_copy,VV[207])(1,V1) /*  NAME-SERVICE-ERROR-ERRNO */;
	goto L2;
L4:;
	T1= value0;
	goto L2;
L2:;
	T2= L51get_name_service_error_message(V3) /*  GET-NAME-SERVICE-ERROR-MESSAGE */;
	value0=cl_format(5,V2,_ecl_static_42,T0,T1,T2) /*  FORMAT     */;
	return value0;
	}
}}
/*	local function DEFINE-NAME-SERVICE-CONDITION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48define_name_service_condition(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  SYMBOL          */
	cl_object V5;                             /*  NAME            */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	if((V3)==ECL_NIL){
	goto L20;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L18;
L20:;
	goto L18;
L18:;
	T0= ecl_symbol_name(V4);
	T1= cl_list(2,VV[56],T0)                  /*  LIST            */;
	T2= cl_list(3,ECL_SYM("DEFCONSTANT",277),V4,T1) /*  LIST      */;
	T3= cl_list(2,ECL_SYM("QUOTE",679),V4)    /*  LIST            */;
	T4= cl_list(5,ECL_SYM("SYMBOL",840),ECL_SYM("READER",1006),VV[95],ECL_SYM("INITFORM",996),T3) /*  LIST */;
	T5= ecl_list1(T4);
	T6= cl_list(4,ECL_SYM("DEFINE-CONDITION",278),V5,VV[94],T5) /*  LIST */;
	T7= cl_list(2,ECL_SYM("QUOTE",679),V5)    /*  LIST            */;
	T8= cl_list(3,ECL_SYM("CONS",251),V4,T7)  /*  LIST            */;
	T9= cl_list(3,ECL_SYM("PUSH",677),T8,VV[96]) /*  LIST         */;
	T10= cl_list(2,ECL_SYM("QUOTE",679),V4)   /*  LIST            */;
	T11= cl_list(2,ECL_SYM("EXPORT",344),T10) /*  LIST            */;
	value0=cl_list(6,ECL_SYM("LET",477),ECL_NIL,T2,T6,T9,T11) /*  LIST */;
	return value0;
	}
}}
/*	function definition for CONDITION-FOR-NAME-SERVICE-ERRNO      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L49condition_for_name_service_errno(cl_object V1)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_assql(V1,ecl_symbol_value(VV[96]));
	value0=ecl_cdr(T0);
	if((value0)!=ECL_NIL){
	goto L2;}
	value0=VV[110]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GET-NAME-SERVICE-ERRNO                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L50get_name_service_errno()
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_set(VV[92],ecl_make_int(h_errno));
	value0=ecl_symbol_value(VV[92]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GET-NAME-SERVICE-ERROR-MESSAGE        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L51get_name_service_error_message(cl_object V1)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_cstring_to_base_string_or_nil(strerror(ecl_to_int(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GET-SOCKOPT-INT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L52get_sockopt_int(cl_object V1, cl_object V2, cl_object V3)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  RET             */
	{
	cl_object V5;
	{
        int sockopt, ret;
        socklen_t socklen = sizeof(int);

	ecl_disable_interrupts();
	ret = getsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&sockopt,&socklen);
	ecl_enable_interrupts();

        V5= (ret == 0) ? ecl_make_integer(sockopt) : ECL_NIL;
}
	V4= V5;}
	if((V4)==ECL_NIL){
	goto L3;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for GET-SOCKOPT-BOOL                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L53get_sockopt_bool(cl_object V1, cl_object V2, cl_object V3)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  RET             */
	{
	cl_object V5;
	{
        int sockopt, ret;
        socklen_t socklen = sizeof(int);

	ecl_disable_interrupts();
        ret = getsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&sockopt,&socklen);
	ecl_enable_interrupts();

        V5= (ret == 0) ? ecl_make_integer(sockopt) : ECL_NIL;
}
	V4= V5;}
	if((V4)==ECL_NIL){
	goto L3;}
	value0=ecl_make_bool(!ecl_number_equalp(V4,ecl_make_fixnum(0))); cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for GET-SOCKOPT-TIMEVAL                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L54get_sockopt_timeval(cl_object V1, cl_object V2, cl_object V3)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  RET             */
	{
	cl_object V5;
	{
	struct timeval tv;
        socklen_t socklen = sizeof(struct timeval);
        int ret;

	ecl_disable_interrupts();
	ret = getsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&tv,&socklen);
	ecl_enable_interrupts();

        V5= (ret == 0) ? ecl_make_doublefloat((double)tv.tv_sec
					+ ((double)tv.tv_usec) / 1000000.0) : ECL_NIL;
}
	V4= V5;}
	if((V4)==ECL_NIL){
	goto L3;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for GET-SOCKOPT-LINGER                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L55get_sockopt_linger(cl_object V1, cl_object V2, cl_object V3)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  RET             */
	{
	cl_object V5;
	{
	struct linger sockopt;
	socklen_t socklen = sizeof(struct linger);
	int ret;

	ecl_disable_interrupts();
	ret = getsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&sockopt,&socklen);
	ecl_enable_interrupts();

	V5= (ret == 0) ? ecl_make_integer((sockopt.l_onoff != 0) ? sockopt.l_linger : 0) : ECL_NIL;
}
	V4= V5;}
	if((V4)==ECL_NIL){
	goto L3;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for SET-SOCKOPT-INT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L56set_sockopt_int(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  RET             */
	{
	cl_object V6;
	{
        int sockopt = ecl_to_int(V4);
        int ret;

	ecl_disable_interrupts();
	ret = setsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&sockopt,sizeof(int));
	ecl_enable_interrupts();

        V6= (ret == 0) ? ECL_T : ECL_NIL;
}
	V5= V6;}
	if((V5)==ECL_NIL){
	goto L3;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for SET-SOCKOPT-BOOL                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L57set_sockopt_bool(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  RET             */
	{
	cl_object V6;
	{
        int sockopt = (V4 == ECL_NIL) ? 0 : 1;
        int ret;

	ecl_disable_interrupts();
	ret = setsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&sockopt,sizeof(int));
	ecl_enable_interrupts();

        V6= (ret == 0) ? ECL_T : ECL_NIL;
}
	V5= V6;}
	if((V5)==ECL_NIL){
	goto L3;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for SET-SOCKOPT-TIMEVAL                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L58set_sockopt_timeval(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  RET             */
	{
	cl_object V6;
	{
	struct timeval tv;
	double tmp = ecl_to_double(V4);
	int ret;

	ecl_disable_interrupts();
	tv.tv_sec = (int)tmp;
	tv.tv_usec = (int)((tmp-floor(tmp))*1000000.0);
        ret = setsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&tv,sizeof(struct timeval));
	ecl_enable_interrupts();

        V6= (ret == 0) ? ECL_T : ECL_NIL;
}
	V5= V6;}
	if((V5)==ECL_NIL){
	goto L3;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for SET-SOCKOPT-LINGER                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L59set_sockopt_linger(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V5;                            /*  RET             */
	{
	cl_object V6;
	{
	struct linger sockopt = {0, 0};
	int value = ecl_to_int(V4);
	int ret;

	if (value > 0) {
		sockopt.l_onoff = 1;
		sockopt.l_linger = value;
	}

	ecl_disable_interrupts();
	ret = setsockopt(ecl_to_int(V1),ecl_to_int(V2),ecl_to_int(V3),&sockopt,sizeof(struct linger));
	ecl_enable_interrupts();

	V6= (ret == 0) ? ECL_T : ECL_NIL;
}
	V5= V6;}
	if((V5)==ECL_NIL){
	goto L3;}
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
L3:;
	T0= ecl_cstring_to_base_string_or_nil(strerror(errno));
	value0=cl_error(2,_ecl_static_43,T0)      /*  ERROR           */;
	return value0;
	}
}}
/*	local function DEFINE-SOCKOPT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60define_sockopt(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  C-LEVEL         */
	cl_object V6;                             /*  C-CONST         */
	cl_object V7;                             /*  TYPE            */
	cl_object V8;                             /*  READ-ONLY       */
	V3= ecl_cdr(V1);
	if(!(V3==ECL_NIL)){
	goto L5;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V9;
	V9= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V9;
	}
	if(!(V3==ECL_NIL)){
	goto L13;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V9;
	V9= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V9;
	}
	if(!(V3==ECL_NIL)){
	goto L21;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V9;
	V9= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V9;
	}
	if(!(V3==ECL_NIL)){
	goto L29;}
	si_dm_too_few_arguments(V1)               /*  DM-TOO-FEW-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V9;
	V9= ecl_car(V3);
	V3= ecl_cdr(V3);
	V7= V9;
	}
	if((V3)==ECL_NIL){
	goto L36;}
	{cl_object V9;
	V9= ecl_car(V3);
	V3= ecl_cdr(V3);
	V8= V9;
	goto L34;
	}
L36:;
	V8= ECL_NIL;
	goto L34;
L34:;
	if((V3)==ECL_NIL){
	goto L43;}
	si_dm_too_many_arguments(V1)              /*  DM-TOO-MANY-ARGUMENTS */;
	goto L41;
L43:;
	goto L41;
L41:;
	T0= cl_list(2,ECL_SYM("QUOTE",679),V4)    /*  LIST            */;
	T1= cl_list(2,ECL_SYM("EXPORT",344),T0)   /*  LIST            */;
	T2= cl_format(3,ECL_NIL,_ecl_static_44,V7) /*  FORMAT         */;
	T3= cl_intern(1,T2)                       /*  INTERN          */;
	T4= cl_list(2,VV[56],V5)                  /*  LIST            */;
	T5= cl_list(2,VV[56],V6)                  /*  LIST            */;
	T6= cl_list(4,T3,VV[123],T4,T5)           /*  LIST            */;
	T7= cl_list(4,ECL_SYM("DEFUN",289),V4,VV[122],T6) /*  LIST    */;
	if((V8)!=ECL_NIL){
	goto L47;}
	T9= cl_list(2,ECL_SYM("SETF",750),V4)     /*  LIST            */;
	T10= cl_format(3,ECL_NIL,_ecl_static_45,V7) /*  FORMAT        */;
	T11= cl_intern(1,T10)                     /*  INTERN          */;
	T12= cl_list(2,VV[56],V5)                 /*  LIST            */;
	T13= cl_list(2,VV[56],V6)                 /*  LIST            */;
	T14= cl_list(5,T11,VV[123],T12,T13,VV[125]) /*  LIST          */;
	T15= cl_list(4,ECL_SYM("DEFUN",289),T9,VV[124],T14) /*  LIST  */;
	T8= ecl_list1(T15);
	goto L45;
L47:;
	T8= ECL_NIL;
	goto L45;
L45:;
	value0=cl_listX(4,ECL_SYM("PROGN",671),T1,T7,T8) /*  LIST*    */;
	return value0;
	}
}}
/*	function definition for SOCKOPT-TYPE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L61sockopt_type(cl_object V1)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_TYPE;
	value0=L52get_sockopt_int(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-INT */;
	return value0;}}
}}
/*	function definition for SOCKOPT-RECEIVE-BUFFER                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L62sockopt_receive_buffer(cl_object V1)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_RCVBUF;
	value0=L52get_sockopt_int(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-INT */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-RECEIVE-BUFFER)         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L63_setf_sockopt_receive_buffer_(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= SOL_SOCKET;
	{int V4;
	V4= SO_RCVBUF;
	value0=L56set_sockopt_int(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-INT */;
	return value0;}}
}}
/*	function definition for SOCKOPT-RECEIVE-TIMEOUT               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L64sockopt_receive_timeout(cl_object V1)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_RCVTIMEO;
	value0=L54get_sockopt_timeval(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-TIMEVAL */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-RECEIVE-TIMEOUT)        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L65_setf_sockopt_receive_timeout_(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= SOL_SOCKET;
	{int V4;
	V4= SO_RCVTIMEO;
	value0=L58set_sockopt_timeval(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-TIMEVAL */;
	return value0;}}
}}
/*	function definition for SOCKOPT-SEND-TIMEOUT                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L66sockopt_send_timeout(cl_object V1)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_SNDTIMEO;
	value0=L54get_sockopt_timeval(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-TIMEVAL */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-SEND-TIMEOUT)           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L67_setf_sockopt_send_timeout_(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= SOL_SOCKET;
	{int V4;
	V4= SO_SNDTIMEO;
	value0=L58set_sockopt_timeval(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-TIMEVAL */;
	return value0;}}
}}
/*	function definition for SOCKOPT-REUSE-ADDRESS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L68sockopt_reuse_address(cl_object V1)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_REUSEADDR;
	value0=L53get_sockopt_bool(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-BOOL */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-REUSE-ADDRESS)          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L69_setf_sockopt_reuse_address_(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= SOL_SOCKET;
	{int V4;
	V4= SO_REUSEADDR;
	value0=L57set_sockopt_bool(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-BOOL */;
	return value0;}}
}}
/*	function definition for SOCKOPT-KEEP-ALIVE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L70sockopt_keep_alive(cl_object V1)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_KEEPALIVE;
	value0=L53get_sockopt_bool(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-BOOL */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-KEEP-ALIVE)             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L71_setf_sockopt_keep_alive_(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= SOL_SOCKET;
	{int V4;
	V4= SO_KEEPALIVE;
	value0=L57set_sockopt_bool(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-BOOL */;
	return value0;}}
}}
/*	function definition for SOCKOPT-DONT-ROUTE                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L72sockopt_dont_route(cl_object V1)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_DONTROUTE;
	value0=L53get_sockopt_bool(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-BOOL */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-DONT-ROUTE)             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L73_setf_sockopt_dont_route_(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= SOL_SOCKET;
	{int V4;
	V4= SO_DONTROUTE;
	value0=L57set_sockopt_bool(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-BOOL */;
	return value0;}}
}}
/*	function definition for SOCKOPT-LINGER                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L74sockopt_linger(cl_object V1)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= SOL_SOCKET;
	{int V3;
	V3= SO_LINGER;
	value0=L55get_sockopt_linger(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-LINGER */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-LINGER)                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L75_setf_sockopt_linger_(cl_object V1, cl_object V2)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= SOL_SOCKET;
	{int V4;
	V4= SO_LINGER;
	value0=L59set_sockopt_linger(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-LINGER */;
	return value0;}}
}}
/*	function definition for SOCKOPT-TCP-NODELAY                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L76sockopt_tcp_nodelay(cl_object V1)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V1) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V2;
	V2= IPPROTO_TCP;
	{int V3;
	V3= TCP_NODELAY;
	value0=L53get_sockopt_bool(T0,ecl_make_int(V2),ecl_make_int(V3)) /*  GET-SOCKOPT-BOOL */;
	return value0;}}
}}
/*	function definition for (SETF SOCKOPT-TCP-NODELAY)            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L77_setf_sockopt_tcp_nodelay_(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[168])(1,V2) /*  SOCKET-FILE-DESCRIPTOR */;
	{int V3;
	V3= IPPROTO_TCP;
	{int V4;
	V4= TCP_NODELAY;
	value0=L57set_sockopt_bool(T0,ecl_make_int(V3),ecl_make_int(V4),V1) /*  SET-SOCKOPT-BOOL */;
	return value0;}}
}}
	
#include "ext/sockets.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclQ5rqp4b7_TqGVUZ01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:SOCKETS;SOCKETS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclQ5rqp4b7_TqGVUZ01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(_ecl_static_0)          /*  SELECT-PACKAGE  */;
	{int V1;
	V1= AF_INET;
	si_Xmake_constant(VV[0],ecl_make_int(V1)) /*  *MAKE-CONSTANT  */;}
	{int V1;
	V1= AF_LOCAL;
	si_Xmake_constant(VV[1],ecl_make_int(V1)) /*  *MAKE-CONSTANT  */;}
	{int V1;
	V1= EAGAIN;
	si_Xmake_constant(VV[2],ecl_make_int(V1)) /*  *MAKE-CONSTANT  */;}
	{int V1;
	V1= EINTR;
	si_Xmake_constant(VV[3],ecl_make_int(V1)) /*  *MAKE-CONSTANT  */;}
	ecl_cmp_defun(VV[155]);                   /*  FF-SOCKET       */
	ecl_cmp_defun(VV[156]);                   /*  FF-LISTEN       */
	ecl_cmp_defun(VV[157]);                   /*  FF-CLOSE        */
	ecl_cmp_defun(VV[158]);                   /*  SPLIT           */
	T0= cl_list(2,ECL_SYM("DOCUMENTATION",1223),_ecl_static_1) /*  LIST */;
	clos_load_defclass(VV[9],ECL_NIL,VVtemp[0],T0) /*  LOAD-DEFCLASS */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[10],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[1],ECL_SYM("DOCUMENTATION",1223),_ecl_static_1) /*  ENSURE-GENERIC-FUNCTION */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC6__g28,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[10],ECL_NIL,VVtemp[1],VVtemp[1],T0,ECL_T) /*  INSTALL-METHOD */;
	ecl_cmp_defun(VV[160]);                   /*  GET-HOST-BY-NAME */
	ecl_cmp_defun(VV[165]);                   /*  GET-HOST-BY-ADDRESS */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC9__g32,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[3]) /*  LIST* */;
	T2= cl_list(5,VVtemp[2],T1,VVtemp[4],VVtemp[5],VVtemp[6]) /*  LIST */;
	T3= cl_list(2,ECL_SYM("DOCUMENTATION",1223),_ecl_static_5) /*  LIST */;
	clos_load_defclass(VV[15],ECL_NIL,T2,T3)  /*  LOAD-DEFCLASS   */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC11__g33,ECL_NIL,Cblock,2);
	clos_install_method(6,ECL_SYM("PRINT-OBJECT",961),ECL_NIL,VVtemp[7],VVtemp[8],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC12__g48,ECL_NIL,Cblock);
	clos_install_method(6,ECL_SYM("SHARED-INITIALIZE",965),VVtemp[9],VVtemp[7],VVtemp[10],T0,ECL_T) /*  INSTALL-METHOD */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[22],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[11],ECL_SYM("DOCUMENTATION",1223),_ecl_static_8) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[23],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[12],ECL_SYM("DOCUMENTATION",1223),_ecl_static_9) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[24],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[11],ECL_SYM("DOCUMENTATION",1223),_ecl_static_10) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[25],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[12],ECL_SYM("DOCUMENTATION",1223),_ecl_static_11) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[26],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[12],ECL_SYM("DOCUMENTATION",1223),_ecl_static_12) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[27],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[13],ECL_SYM("DOCUMENTATION",1223),_ecl_static_13) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[28],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[14],ECL_SYM("DOCUMENTATION",1223),_ecl_static_14) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[29],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[15],ECL_SYM("DOCUMENTATION",1223),_ecl_static_15) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[30],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[12],ECL_SYM("DOCUMENTATION",1223),_ecl_static_16) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[31],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[16],ECL_SYM("DOCUMENTATION",1223),_ecl_static_17) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[32],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[12],ECL_SYM("DOCUMENTATION",1223),_ecl_static_18) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VVtemp[17],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[18],ECL_SYM("DOCUMENTATION",1223),_ecl_static_19) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",942)->symbol.gfdef))->cfun.entry(7,VV[33],VV[11],ECL_T,ECL_SYM("LAMBDA-LIST",998),VVtemp[12],ECL_SYM("DOCUMENTATION",1223),_ecl_static_20) /*  ENSURE-GENERIC-FUNCTION */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC13__g59,ECL_NIL,Cblock,2);
	clos_install_method(6,VV[27],ECL_NIL,VVtemp[7],VVtemp[13],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC14__g60,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[33],ECL_NIL,VVtemp[12],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC15__g67,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[30],ECL_NIL,VVtemp[12],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC16__g71,ECL_NIL,Cblock);
	clos_install_method(6,VV[28],ECL_NIL,VVtemp[19],VVtemp[14],T0,ECL_T) /*  INSTALL-METHOD */;
	ecl_cmp_defun(VV[176]);                   /*  GET-PROTOCOL-BY-NAME */
	ecl_cmp_defun(VV[177]);                   /*  MAKE-INET-ADDRESS */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC19__g73,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[20]) /*  LIST* */;
	T2= ecl_list1(T1);
	T3= cl_list(2,ECL_SYM("DOCUMENTATION",1223),_ecl_static_25) /*  LIST */;
	clos_load_defclass(VV[37],VVtemp[12],T2,T3) /*  LOAD-DEFCLASS */;
	ecl_cmp_defun(VV[178]);                   /*  MAKE-INET-SOCKET */
	T0= ecl_make_cfun_va((cl_objectfn)LC21__g76,ECL_NIL,Cblock);
	clos_install_method(6,VV[22],ECL_NIL,VVtemp[21],VVtemp[11],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC22__g80,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[23],ECL_NIL,VVtemp[21],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC23__g81,ECL_NIL,Cblock);
	clos_install_method(6,VV[24],ECL_NIL,VVtemp[21],VVtemp[11],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC24__g82,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[25],ECL_NIL,VVtemp[21],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC25__g83,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[26],ECL_NIL,VVtemp[21],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC26__g84,ECL_NIL,Cblock);
	clos_install_method(6,VV[29],ECL_NIL,VVtemp[19],VVtemp[15],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC27__g89,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[22]) /*  LIST* */;
	T2= ecl_list1(T1);
	T3= cl_list(2,ECL_SYM("DOCUMENTATION",1223),_ecl_static_33) /*  LIST */;
	clos_load_defclass(VV[44],VVtemp[12],T2,T3) /*  LOAD-DEFCLASS */;
	T0= ecl_make_cfun_va((cl_objectfn)LC28__g92,ECL_NIL,Cblock);
	clos_install_method(6,VV[22],ECL_NIL,VVtemp[23],VVtemp[11],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC29__g97,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[23],ECL_NIL,VVtemp[23],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC30__g100,ECL_NIL,Cblock);
	clos_install_method(6,VV[24],ECL_NIL,VVtemp[23],VVtemp[11],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC31__g105,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[25],ECL_NIL,VVtemp[23],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC32__g106,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[32],ECL_NIL,VVtemp[12],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC33__g107,ECL_NIL,Cblock,2);
	clos_install_method(6,VVtemp[17],ECL_NIL,VVtemp[24],VVtemp[18],T0,ECL_T) /*  INSTALL-METHOD */;
	ecl_cmp_defun(VV[189]);                   /*  DUP             */
	ecl_cmp_defun(VV[190]);                   /*  MAKE-STREAM-FROM-FD */
	(void)0; /* No entry created for AUTO-CLOSE-TWO-WAY-STREAM */
	ecl_cmp_defun(VV[195]);                   /*  SOCKET-MAKE-STREAM-INNER */
	T0= ecl_make_cfun_va((cl_objectfn)LC38__g125,ECL_NIL,Cblock);
	clos_install_method(6,VV[31],ECL_NIL,VVtemp[12],VVtemp[25],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC39__g132,ECL_NIL,Cblock,1);
	clos_install_method(6,VV[54],ECL_NIL,VVtemp[12],VVtemp[12],T0,ECL_T) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC41__g133,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[27]) /*  LIST* */;
	T2= cl_list(4,T1,VVtemp[28],VVtemp[29],VVtemp[30]) /*  LIST   */;
	T3= cl_list(2,ECL_SYM("DOCUMENTATION",1223),_ecl_static_41) /*  LIST */;
	clos_load_defclass(VV[55],VVtemp[26],T2,T3) /*  LOAD-DEFCLASS */;
	ecl_cmp_defmacro(VV[203]);                /*  DEFINE-SOCKET-CONDITION */
	si_Xmake_special(VV[59])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[59],ECL_NIL);
	{int V1;
	V1= EADDRINUSE;
	si_Xmake_constant(VV[61],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[62],VV[57],VVtemp[31],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[62])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[61]),VV[62]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= EAGAIN;
	si_Xmake_constant(VV[63],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[64],VV[57],VVtemp[32],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[64])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[63]),VV[64]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= EBADF;
	si_Xmake_constant(VV[65],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[66],VV[57],VVtemp[33],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[66])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[65]),VV[66]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= ECONNREFUSED;
	si_Xmake_constant(VV[67],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[68],VV[57],VVtemp[34],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[68])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[67]),VV[68]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= ETIMEDOUT;
	si_Xmake_constant(VV[69],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[70],VV[57],VVtemp[35],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[70])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[69]),VV[70]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= EINTR;
	si_Xmake_constant(VV[71],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[64],VV[57],VVtemp[36],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[64])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[71]),VV[64]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= EINVAL;
	si_Xmake_constant(VV[72],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[73],VV[57],VVtemp[37],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[73])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[72]),VV[73]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= ENOBUFS;
	si_Xmake_constant(VV[74],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[75],VV[57],VVtemp[38],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[75])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[74]),VV[75]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= ENOMEM;
	si_Xmake_constant(VV[76],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[77],VV[57],VVtemp[39],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[77])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[76]),VV[77]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= EOPNOTSUPP;
	si_Xmake_constant(VV[78],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[79],VV[57],VVtemp[40],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[79])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[78]),VV[79]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= EPERM;
	si_Xmake_constant(VV[80],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[81],VV[57],VVtemp[41],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[81])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[80]),VV[81]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= EPROTONOSUPPORT;
	si_Xmake_constant(VV[82],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[83],VV[57],VVtemp[42],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[83])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[82]),VV[83]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= ESOCKTNOSUPPORT;
	si_Xmake_constant(VV[84],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[85],VV[57],VVtemp[43],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[85])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[84]),VV[85]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	{int V1;
	V1= ENETUNREACH;
	si_Xmake_constant(VV[86],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[87],VV[57],VVtemp[44],ECL_NIL) /*  LOAD-DEFCLASS */;
	cl_export(1,VV[87])                       /*  EXPORT          */;
	T0= CONS(ecl_symbol_value(VV[86]),VV[87]);
	cl_set(VV[59],CONS(T0,ecl_symbol_value(VV[59])));
	ecl_cmp_defun(VV[204]);                   /*  CONDITION-FOR-ERRNO */
	ecl_cmp_defun(VV[205]);                   /*  SOCKET-ERROR    */
	si_Xmake_special(VV[92])                  /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[92])){
	goto L303;}
	cl_set(VV[92],ecl_make_fixnum(0));
	goto L301;
L303:;
	goto L301;
L301:;
	ecl_cmp_defun(VV[206]);                   /*  NAME-SERVICE-ERROR */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC47__g157,ECL_NIL,Cblock,0);
	T1= cl_listX(3,ECL_SYM("INITFUNCTION",997),T0,VVtemp[46]) /*  LIST* */;
	T2= cl_list(4,T1,VVtemp[47],VVtemp[48],VVtemp[49]) /*  LIST   */;
	clos_load_defclass(VV[93],VVtemp[45],T2,ECL_NIL) /*  LOAD-DEFCLASS */;
	ecl_cmp_defmacro(VV[209]);                /*  DEFINE-NAME-SERVICE-CONDITION */
	si_Xmake_special(VV[96])                  /*  *MAKE-SPECIAL   */;
	cl_set(VV[96],ECL_NIL);
	{int V1;
	V1= NETDB_INTERNAL;
	si_Xmake_constant(VV[98],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[99],VV[94],VVtemp[50],ECL_NIL) /*  LOAD-DEFCLASS */;
	T0= CONS(ecl_symbol_value(VV[98]),VV[99]);
	cl_set(VV[96],CONS(T0,ecl_symbol_value(VV[96])));
	cl_export(1,VV[98])                       /*  EXPORT          */;
	{int V1;
	V1= NETDB_SUCCESS;
	si_Xmake_constant(VV[100],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[101],VV[94],VVtemp[51],ECL_NIL) /*  LOAD-DEFCLASS */;
	T0= CONS(ecl_symbol_value(VV[100]),VV[101]);
	cl_set(VV[96],CONS(T0,ecl_symbol_value(VV[96])));
	cl_export(1,VV[100])                      /*  EXPORT          */;
	{int V1;
	V1= HOST_NOT_FOUND;
	si_Xmake_constant(VV[102],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[103],VV[94],VVtemp[52],ECL_NIL) /*  LOAD-DEFCLASS */;
	T0= CONS(ecl_symbol_value(VV[102]),VV[103]);
	cl_set(VV[96],CONS(T0,ecl_symbol_value(VV[96])));
	cl_export(1,VV[102])                      /*  EXPORT          */;
	{int V1;
	V1= TRY_AGAIN;
	si_Xmake_constant(VV[104],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[105],VV[94],VVtemp[53],ECL_NIL) /*  LOAD-DEFCLASS */;
	T0= CONS(ecl_symbol_value(VV[104]),VV[105]);
	cl_set(VV[96],CONS(T0,ecl_symbol_value(VV[96])));
	cl_export(1,VV[104])                      /*  EXPORT          */;
	{int V1;
	V1= NO_RECOVERY;
	si_Xmake_constant(VV[106],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[107],VV[94],VVtemp[54],ECL_NIL) /*  LOAD-DEFCLASS */;
	T0= CONS(ecl_symbol_value(VV[106]),VV[107]);
	cl_set(VV[96],CONS(T0,ecl_symbol_value(VV[96])));
	cl_export(1,VV[106])                      /*  EXPORT          */;
	{int V1;
	V1= NO_ADDRESS;
	si_Xmake_constant(VV[108],ecl_make_int(V1)) /*  *MAKE-CONSTANT */;}
	clos_load_defclass(VV[109],VV[94],VVtemp[55],ECL_NIL) /*  LOAD-DEFCLASS */;
	T0= CONS(ecl_symbol_value(VV[108]),VV[109]);
	cl_set(VV[96],CONS(T0,ecl_symbol_value(VV[96])));
	cl_export(1,VV[108])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[210]);                   /*  CONDITION-FOR-NAME-SERVICE-ERRNO */
	ecl_cmp_defun(VV[211]);                   /*  GET-NAME-SERVICE-ERRNO */
	ecl_cmp_defun(VV[212]);                   /*  GET-NAME-SERVICE-ERROR-MESSAGE */
	ecl_cmp_defun(VV[213]);                   /*  GET-SOCKOPT-INT */
	ecl_cmp_defun(VV[214]);                   /*  GET-SOCKOPT-BOOL */
	ecl_cmp_defun(VV[215]);                   /*  GET-SOCKOPT-TIMEVAL */
	ecl_cmp_defun(VV[216]);                   /*  GET-SOCKOPT-LINGER */
	ecl_cmp_defun(VV[217]);                   /*  SET-SOCKOPT-INT */
	ecl_cmp_defun(VV[218]);                   /*  SET-SOCKOPT-BOOL */
	ecl_cmp_defun(VV[219]);                   /*  SET-SOCKOPT-TIMEVAL */
	ecl_cmp_defun(VV[220]);                   /*  SET-SOCKOPT-LINGER */
	ecl_cmp_defmacro(VV[221]);                /*  DEFINE-SOCKOPT  */
	cl_export(1,VV[127])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[222]);                   /*  SOCKOPT-TYPE    */
	cl_export(1,VV[129])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[223]);                   /*  SOCKOPT-RECEIVE-BUFFER */
	ecl_cmp_defun(VV[224]);                   /*  (SETF SOCKOPT-RECEIVE-BUFFER) */
	cl_export(1,VV[132])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[225]);                   /*  SOCKOPT-RECEIVE-TIMEOUT */
	ecl_cmp_defun(VV[226]);                   /*  (SETF SOCKOPT-RECEIVE-TIMEOUT) */
	cl_export(1,VV[135])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[227]);                   /*  SOCKOPT-SEND-TIMEOUT */
	ecl_cmp_defun(VV[228]);                   /*  (SETF SOCKOPT-SEND-TIMEOUT) */
	cl_export(1,VV[138])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[229]);                   /*  SOCKOPT-REUSE-ADDRESS */
	ecl_cmp_defun(VV[230]);                   /*  (SETF SOCKOPT-REUSE-ADDRESS) */
	cl_export(1,VV[141])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[231]);                   /*  SOCKOPT-KEEP-ALIVE */
	ecl_cmp_defun(VV[232]);                   /*  (SETF SOCKOPT-KEEP-ALIVE) */
	cl_export(1,VV[144])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[233]);                   /*  SOCKOPT-DONT-ROUTE */
	ecl_cmp_defun(VV[234]);                   /*  (SETF SOCKOPT-DONT-ROUTE) */
	cl_export(1,VV[147])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[235]);                   /*  SOCKOPT-LINGER  */
	ecl_cmp_defun(VV[236]);                   /*  (SETF SOCKOPT-LINGER) */
	cl_export(1,VV[150])                      /*  EXPORT          */;
	ecl_cmp_defun(VV[237]);                   /*  SOCKOPT-TCP-NODELAY */
	ecl_cmp_defun(VV[238]);                   /*  (SETF SOCKOPT-TCP-NODELAY) */
	cl_provide(VV[153])                       /*  PROVIDE         */;
	cl_provide(VV[154])                       /*  PROVIDE         */;
}
